[arch-commits] Commit in nodejs/repos (4 files)

Bartłomiej Piotrowski bpiotrowski at nymeria.archlinux.org
Sat May 18 11:35:14 EDT 2013


    Date: Saturday, May 18, 2013 @ 17:35:13
  Author: bpiotrowski
Revision: 91055

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
    (from rev 91054, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/PKGBUILD
    (from rev 91054, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |  132 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |   66 ----------------------
 community-x86_64/PKGBUILD |   66 ----------------------
 3 files changed, 132 insertions(+), 132 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2013-05-18 15:34:47 UTC (rev 91054)
+++ community-i686/PKGBUILD	2013-05-18 15:35:13 UTC (rev 91055)
@@ -1,66 +0,0 @@
-# $Id$
-# Maintainer:  Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.10.6
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl')
-makedepends=('python2')
-checkdepends=('curl')
-options=('!emptydirs')
-source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
-sha256sums=('7e2079394efe82f62798178f617888c9d6a39150c76122c432ae9ea73ce28e79')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --shared-openssl
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || true
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/*.html \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 91054, nodejs/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2013-05-18 15:35:13 UTC (rev 91055)
@@ -0,0 +1,66 @@
+# $Id$
+# Maintainer:  Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.10.7
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl')
+makedepends=('python2')
+checkdepends=('curl')
+options=('!emptydirs')
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
+sha256sums=('22d1d211f5260dfa5b842cebdb04633f28df180843105ff3eb792ca35ed425e0')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --shared-openssl
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || true
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/*.html \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2013-05-18 15:34:47 UTC (rev 91054)
+++ community-x86_64/PKGBUILD	2013-05-18 15:35:13 UTC (rev 91055)
@@ -1,66 +0,0 @@
-# $Id$
-# Maintainer:  Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.10.6
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl')
-makedepends=('python2')
-checkdepends=('curl')
-options=('!emptydirs')
-source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
-sha256sums=('7e2079394efe82f62798178f617888c9d6a39150c76122c432ae9ea73ce28e79')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --shared-openssl
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || true
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/*.html \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 91054, nodejs/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2013-05-18 15:35:13 UTC (rev 91055)
@@ -0,0 +1,66 @@
+# $Id$
+# Maintainer:  Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.10.7
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl')
+makedepends=('python2')
+checkdepends=('curl')
+options=('!emptydirs')
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
+sha256sums=('22d1d211f5260dfa5b842cebdb04633f28df180843105ff3eb792ca35ed425e0')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --shared-openssl
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || true
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/*.html \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list